import { ComponentOptionsMixin, DefineComponent, PropType, StyleValue, Ref } from 'vue';

declare const BlockHeader: DefineComponent<
  {
    
    /**
     * Component's HTML Element
     */
    component: {
      type: StringConstructor;
      default: 'div';
    };

    /**
     * Makes block header inset, overwrites `insetIos` and `insetMaterial`
     */
    inset: {
      type: BooleanConstructor;
      default: undefined;
    };

    /**
     * Makes block header inset in iOS theme
     */
    insetIos: {
      type: BooleanConstructor;
      default: false;
    };

    /**
     * Makes block header inset in Material theme
     */
    insetMaterial: {
      type: BooleanConstructor;
      default: false;
    };

    /**
     * Object with Tailwind CSS colors classes
     */
    colors: {
      type: PropType<{
    
        /**
         *
         * @default 'text-black dark:text-white'
         */
        textIos?: string;
        /**
         *
         * @default 'text-md-light-on-surface-variant dark:text-md-dark-on-surface-variant'
         */
        textMaterial?: string;
      
      }>;
      
    };
  },
  () => JSX.Element,
  unknown,
  {},
  {},
  ComponentOptionsMixin,
  ComponentOptionsMixin,
  {
    
  }
>;

export default BlockHeader;