import { ComponentOptionsMixin, DefineComponent, PropType, StyleValue, Ref } from 'vue';

declare const Chip: DefineComponent<
  {
    
    /**
     * Component's HTML Element
     */
    component: {
      type: StringConstructor;
      default: 'div';
    };

    /**
     * Defines whether the Chip has additional "delete" button or not
     */
    deleteButton: {
      type: BooleanConstructor;
      default: false;
    };

    /**
     * Makes chip outline
     */
    outline: {
      type: BooleanConstructor;
      default: false;
    };

    /**
     * Object with Tailwind CSS colors classes
     */
    colors: {
      type: PropType<{
    
        /**
         *
         * @default 'text-current'
         */
        fillTextIos?: string;
        /**
         *
         * @default 'text-md-light-on-secondary-container dark:text-md-dark-on-secondary-container'
         */
        fillTextMaterial?: string;
        /**
         *
         * @default 'bg-black bg-opacity-10 dark:bg-white dark:bg-opacity-10'
         */
        fillBgIos?: string;
        /**
         *
         * @default 'bg-md-light-secondary-container dark:bg-md-dark-secondary-container'
         */
        fillBgMaterial?: string;
        /**
         *
         * @default 'text-current'
         */
        outlineTextIos?: string;
        /**
         *
         * @default 'text-md-light-on-surface dark:text-md-dark-on-surface'
         */
        outlineTextMaterial?: string;
        /**
         *
         * @default 'border-black border-opacity-20 dark:border-white dark:border-opacity-20'
         */
        outlineBorderIos?: string;
        /**
         *
         * @default 'border-md-light-outline dark:border-md-dark-outline'
         */
        outlineBorderMaterial?: string;
      
      }>;
      
    };
  },
  () => JSX.Element,
  unknown,
  {},
  {},
  ComponentOptionsMixin,
  ComponentOptionsMixin,
  {
    
    /**
     * Event will be triggered on Chip delete button click
     */
    delete: (e: any) => void;
    
  }
>;

export default Chip;