import { ComponentOptionsMixin, DefineComponent, PropType, StyleValue, Ref } from 'vue';

declare const Fab: DefineComponent<
  {
    
    /**
     * Component's HTML Element
     */
    component: {
      type: StringConstructor;
      default: 'a';
    };

    /**
     * Fab's link `href` attribute
     */
    href: {
      type: StringConstructor;
      
    };

    /**
     * Button text (content)
     */
    text: {
      type: StringConstructor;
      
    };

    /**
     * Text position, can be `after` icon or `before` icon
     */
    textPosition: {
      type: PropType<'after' | 'before'>;
      default: 'after';
    };

    /**
     * Enables touch ripple effect in Material theme
     */
    touchRipple: {
      type: BooleanConstructor;
      default: true;
    };

    /**
     * Object with Tailwind CSS colors classes
     */
    colors: {
      type: PropType<{
    
        /**
         *
         * @default 'bg-primary'
         */
        bgIos?: string;
        /**
         *
         * @default 'bg-md-light-primary-container dark:bg-md-dark-primary-container'
         */
        bgMaterial?: string;
        /**
         *
         * @default 'active:bg-ios-primary-shade'
         */
        activeBgIos?: string;
        /**
         *
         * @default ''
         */
        activeBgMaterial?: string;
        /**
         *
         * @default 'text-white'
         */
        textIos?: string;
        /**
         *
         * @default 'text-md-light-on-primary-container dark:text-md-dark-on-primary-container'
         */
        textMaterial?: string;
        /**
         *
         * @default 'touch-ripple-primary dark:touch-ripple-white'
         */
        touchRipple?: string;
      
      }>;
      
    };
  },
  () => JSX.Element,
  unknown,
  {},
  {},
  ComponentOptionsMixin,
  ComponentOptionsMixin,
  {
    
  }
>;

export default Fab;