import { ComponentOptionsMixin, DefineComponent, PropType, StyleValue, Ref } from 'vue';

declare const NavbarBackLink: DefineComponent<
  {
    
    /**
     * Component's HTML Element
     */
    component: {
      type: StringConstructor;
      default: 'a';
    };

    /**
     * Text content of the back link
     */
    text: {
      type: StringConstructor;
      default: 'Back';
    };

    /**
     * Defines whether to show the link text. When 'auto', it hides link text for Material theme
     */
    showText: {
      type: PropType<boolean | 'auto'>;
      default: 'auto';
    };
  },
  () => JSX.Element,
  unknown,
  {},
  {},
  ComponentOptionsMixin,
  ComponentOptionsMixin,
  {
    
    /**
     * Link click handler
     */
    click: (e: any) => void;
    
  }
>;

export default NavbarBackLink;